Subject: Re: [Roll] Stephen Farrell's Discuss on draft-ietf-roll-applicability-home-building-09: (with DISCUSS and COMMENT)

From: peter van der Stok <[email-masked]>
Date: Fri, 03 Jul 2015 09:44:47 +0200

Hi Stephen,

A new draft has been submitted

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-roll-applicability-home-building/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-roll-applicability-home-building-11

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-roll-applicability-home-building-11

The following things have been done.
In section 4.1.8 a description of the link-layer security as deployed by 
SEP 2.0 is added.
Sections 7.1 , 7.2 and 7.3 have been adapted to discuss future 
link-layer security alternatives to SEP2.0 deployment.

Looking forward to your reaction,

Peter

>> 
>> I'm sorry to say I don't think we're there yet. I just read the
>> current draft and I think we still have significant issues for
>> this DISCUSS.
>> 
>> - If the way in which we are achieving interoperable security is
>> via layer2-only then I would argue that that has to be more clearly
>> stated up front (for truth-in-advertising reasons) as otherwise
>> people may implement/deploy assuming the opposite.
>> 
>> - I really seriously question the proposition that layer2-only
>> security is sufficient for more complex building requirements.
>> If that is true, then this document needs to say when it is safe
>> and when it is unsafe to use RPL in such networks. (I can accept
>> that layer2-only is ok for simple buildings and homes, at least
>> for the next few years.)